Bug 1000691 - Cardo font unusable, badly displayed
Cardo font unusable, badly displayed
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: scholarsfonts-cardo-fonts (Show other bugs)
rawhide
x86_64 Linux
unspecified Severity urgent
: ---
: ---
Assigned To: Parag Nemade
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-24 06:26 EDT by tHEos
Modified: 2015-04-30 05:36 EDT (History)
5 users (show)

See Also:
Fixed In Version: scholarsfonts-cardo-fonts-1.045-9.fc21
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-01-26 21:54:26 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
OS/2 expected values (50.62 KB, image/png)
2013-08-26 02:06 EDT, Pravin Satpute
no flags Details
Updated spec, showing use of patch (3.84 KB, text/plain)
2015-01-13 17:37 EST, Paul Flo Williams
no flags Details
Metrics patch for Regular and Bold. Italic doesn't require adjustment. (1.10 KB, patch)
2015-01-13 17:38 EST, Paul Flo Williams
no flags Details | Diff

  None (edit)
Description tHEos 2013-08-24 06:26:38 EDT
Description of problem:

Font is badly displayed so that it is unreadable.

Version-Release number of selected component (if applicable):

1.045-4

How reproducible:

When used in Abiword or LibreOffice Writer.

Actual results:

In LibreOffice:
Letters are cut vertically. However when printed to pdf it becomes better.
In Abiword it creates very large vertical line on cursor, otherwise font appears.

In both cases typing is very unpleasent. Which makes it difficult to concentrate on the work.

Expected results:

Neatness. This font has a great potential.
Comment 1 Pravin Satpute 2013-08-26 02:06:10 EDT
Created attachment 790298 [details]
OS/2 expected values

I have done analysis of this bug and problem is due to improper OS/2 metric. It should be as given in image.
Comment 2 Fedora End Of Life 2015-01-09 14:34:42 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Paul Flo Williams 2015-01-13 17:37:25 EST
Created attachment 979773 [details]
Updated spec, showing use of patch

I concur with Pravin's assessment and am attaching a patch and updated spec showing use of the patch.
Comment 4 Paul Flo Williams 2015-01-13 17:38:22 EST
Created attachment 979774 [details]
Metrics patch for Regular and Bold. Italic doesn't require adjustment.
Comment 5 Parag Nemade 2015-01-13 19:17:52 EST
Just few hours before I started working on this f19 bug but wanted using some fontforge API and left the work for today. 

Thanks for the ttx way patch. I will apply this today.
Comment 6 Parag Nemade 2015-01-14 04:01:25 EST
I applied patch only for Regular font, sorry forgot to modify commit message. Reason then there is italic style also present and we need to check if it also needs patch. If you can test and provide updated patch I will commit and build new release which will install all these 3 fonts.
Comment 7 Paul Flo Williams 2015-01-14 04:44:46 EST
Sorry, I should have made it clearer: the Italic style is not affected, only Regular and Bold. The supplied patch is the complete fix for this package.
Comment 8 Paul Flo Williams 2015-01-14 04:50:27 EST
I'm also contacting the font's creator about the fixes, so the patch can be considered as upstreamed.
Comment 9 Parag Nemade 2015-01-14 04:53:57 EST
Thanks. I will fix and build it. I remember to have contacted the author a year back but no reply. Let's see if you will get any reply and we get new upstream release soon.
Comment 10 Parag Nemade 2015-01-14 08:15:02 EST
Fixed this now in rawhide and will push to stable branches by tomorrow.
Comment 11 Fedora Update System 2015-01-16 04:10:36 EST
scholarsfonts-cardo-fonts-1.045-9.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/scholarsfonts-cardo-fonts-1.045-9.fc20
Comment 12 Fedora Update System 2015-01-16 04:10:38 EST
scholarsfonts-cardo-fonts-1.045-9.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/scholarsfonts-cardo-fonts-1.045-9.fc21
Comment 13 Fedora Update System 2015-01-17 00:42:13 EST
Package scholarsfonts-cardo-fonts-1.045-9.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing scholarsfonts-cardo-fonts-1.045-9.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-0774/scholarsfonts-cardo-fonts-1.045-9.fc21
then log in and leave karma (feedback).
Comment 14 Fedora Update System 2015-01-26 21:54:26 EST
scholarsfonts-cardo-fonts-1.045-9.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2015-01-26 21:57:18 EST
scholarsfonts-cardo-fonts-1.045-9.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 16 Paul Flo Williams 2015-04-30 05:36:03 EDT
(In reply to Paul Flo Williams from comment #8)
> I'm also contacting the font's creator about the fixes, so the patch can be
> considered as upstreamed.

Just to follow up on this: no news from upstream. I got a "mailbox full" response to the email address on the website, and no response to an email to his ISP's email address.

I think we'll be carrying a local patch to these fonts for a few years.

Note You need to log in before you can comment on or make changes to this bug.